Loading...
Searching...
No Matches
DcmHashDictIterator Class Reference

iterator class for traversing a DcmHashDict More...

## Public Member Functions

| DcmHashDictIterator ()
| default constructor
| DcmHashDictIterator (const DcmHashDict *d, OFBool atEnd=OFFalse)
| constructor, creates iterator to existing hash dictionary
| DcmHashDictIterator (const DcmHashDictIterator &i)
| copy constructor
DcmHashDictIterator & | operator= (const DcmHashDictIterator &i)
| copy assignment operator
OFBool | operator== (const DcmHashDictIterator &x) const
| comparison equality
OFBool | operator!= (const DcmHashDictIterator &x) const
| comparison non-equality
const DcmDictEntry * | operator* () const
| dereferencing of iterator
DcmHashDictIterator & | operator++ ()
| pre-increment operator
DcmHashDictIterator | operator++ (int)
| post-increment operator

## Private Member Functions

void | init (const DcmHashDict *d, OFBool atEnd=OFFalse)
| initializes the iterator
void | stepUp ()
| implements increment operator on hash dictionary

## Private Attributes

const DcmHashDict * | dict
| pointer to the hash dictionary this iterator traverses
int | hindex
| index of current bucket
OFBool | iterating
| flag indicating if iter is currently valid
DcmDictEntryListIterator | iter
| iterator for traversing a bucket in the hash table

## Detailed Description

iterator class for traversing a DcmHashDict

## Constructor & Destructor Documentation

## DcmHashDictIterator() [1/2]

DcmHashDictIterator::DcmHashDictIterator | ( | const DcmHashDict * | d,
|  | OFBool | atEnd = OFFalse )

inline

constructor, creates iterator to existing hash dictionary

Parameters

  d | pointer to dictionary
  atEnd | if true, iterator points after last element of hash dictionary, otherwise iterator points to first element

References dict, hindex, init(), iter, and iterating.

## DcmHashDictIterator() [2/2]

DcmHashDictIterator::DcmHashDictIterator | ( | const DcmHashDictIterator & | i | ) |

inline

copy constructor

Parameters

  i | the iterator to copy

References DcmHashDictIterator(), dict, hindex, iter, and iterating.

## Member Function Documentation

## init()

void DcmHashDictIterator::init | ( | const DcmHashDict * | d,
|  | OFBool | atEnd = OFFalse )

private

initializes the iterator

Parameters

  d | pointer to hash dictionary, may be NULL
  atEnd | if true, iterator points after last element of hash dictionary, otherwise iterator points to first element

Referenced by DcmHashDictIterator(), and DcmHashDictIterator().

## operator!=()

OFBool DcmHashDictIterator::operator!= | ( | const DcmHashDictIterator & | x | ) | const

inline

comparison non-equality

Parameters

  x | the iterator to compare against

References DcmHashDictIterator().

## operator=()

DcmHashDictIterator & DcmHashDictIterator::operator= | ( | const DcmHashDictIterator & | i | ) |

inline

copy assignment operator

Parameters

  i | the Iterator to copy and assign

References DcmHashDictIterator(), dict, hindex, iter, and iterating.

## operator==()

OFBool DcmHashDictIterator::operator== | ( | const DcmHashDictIterator & | x | ) | const

inline

comparison equality

Parameters

  x | the iterator to compare against

References DcmHashDictIterator(), hindex, iter, and iterating.

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dchashdi.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0